Package org.bukkit.generator.structure

# Class StructureType

java.lang.Object
org.bukkit.generator.structure.StructureType

All Implemented Interfaces:
  `net.kyori.adventure.key.Keyed`, `Keyed`

public abstract class StructureType extends Object implements Keyed
Represent a StructureType of a `Structure`. Listed structure types are present in the default server. Depending on the server there might be additional structure types present (for example structure types added by data packs), which can be received via `Registry.STRUCTURE_TYPE`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final StructureType`
`BURIED_TREASURE`
`static final StructureType`
`DESERT_PYRAMID`
`static final StructureType`
`END_CITY`
`static final StructureType`
`FORTRESS`
`static final StructureType`
`IGLOO`
`static final StructureType`
`JIGSAW`
`static final StructureType`
`JUNGLE_TEMPLE`
`static final StructureType`
`MINESHAFT`
`static final StructureType`
`NETHER_FOSSIL`
`static final StructureType`
`OCEAN_MONUMENT`
`static final StructureType`
`OCEAN_RUIN`
`static final StructureType`
`RUINED_PORTAL`
`static final StructureType`
`SHIPWRECK`
`static final StructureType`
`STRONGHOLD`
`static final StructureType`
`SWAMP_HUT`
`static final StructureType`
`WOODLAND_MANSION`

## Constructor Summary

Constructors
Constructor
Description
`StructureType()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.bukkit.Keyed

`getKey, key`

## Field Details

### BURIED_TREASURE

public static final StructureType BURIED_TREASURE

### DESERT_PYRAMID

public static final StructureType DESERT_PYRAMID

### END_CITY

public static final StructureType END_CITY

### FORTRESS

public static final StructureType FORTRESS

### IGLOO

public static final StructureType IGLOO

### JIGSAW

public static final StructureType JIGSAW

### JUNGLE_TEMPLE

public static final StructureType JUNGLE_TEMPLE

### MINESHAFT

public static final StructureType MINESHAFT

### NETHER_FOSSIL

public static final StructureType NETHER_FOSSIL

### OCEAN_MONUMENT

public static final StructureType OCEAN_MONUMENT

### OCEAN_RUIN

public static final StructureType OCEAN_RUIN

### RUINED_PORTAL

public static final StructureType RUINED_PORTAL

### SHIPWRECK

public static final StructureType SHIPWRECK

### STRONGHOLD

public static final StructureType STRONGHOLD

### SWAMP_HUT

public static final StructureType SWAMP_HUT

### WOODLAND_MANSION

public static final StructureType WOODLAND_MANSION

## Constructor Details

### StructureType

public StructureType()